---
search:
  tags:
    - Scheduling
    - POST
seo:
  description: >-
    Creates a named group containing multiple scheduled… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/schedule/groups endpoint in the Management
    API.
sidebar:
  label: Create Scheduled Job Group
  badge: POST
title: Create Scheduled Job Group
type: openapi-operation
---
Creates a named group containing multiple scheduled jobs in a single transaction.

`POST /api/v1/{team_slug}/{app_slug}/schedule/groups`

**Request body** (`application/json`, required)

Scheduling group data

- `jobs` (internal_pkg_webserver_v1.CreateSchedulingPayload[], required)
- `name` (string, required)

Request body example:

```json
{
  "jobs": [
    {
      "add_categories": [
        "string"
      ],
      "add_collections": [
        "string"
      ],
      "add_tags": [
        "string"
      ],
      "execute_at": "string",
      "item_id": "string",
      "item_type": "product",
      "remove_categories": [
        "string"
      ],
      "remove_collections": [
        "string"
      ],
      "remove_tags": [
        "string"
      ],
      "to_market_id": "string",
      "to_market_status": "active",
      "to_on_sale": true,
      "to_price_with_tax": 0,
      "to_sale_price_with_tax": 0,
      "to_start_sale_timestamp": "string",
      "to_status": "active",
      "to_stop_sale_timestamp": "string",
      "to_store_group_id": "string"
    }
  ],
  "name": "string"
}
```

**Responses**

- `200` — Group created
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "jobs": [
      {
        "add_category_names": [
          "string"
        ],
        "add_collection_names": [
          "string"
        ],
        "add_tag_names": [
          "string"
        ],
        "execute_at": "string",
        "finished_at": "string",
        "group_id": "string",
        "id": "string",
        "item_id": "string",
        "item_name": "string",
        "item_type": "string",
        "remove_category_names": [
          "string"
        ],
        "remove_collection_names": [
          "string"
        ],
        "remove_tag_names": [
          "string"
        ],
        "to_amount_cents_with_tax": 0,
        "to_market_id": "string",
        "to_market_status": "string",
        "to_on_sale": true,
        "to_sale_amount_cents_with_tax": 0,
        "to_start_sale_timestamp": "string",
        "to_status": "string",
        "to_stop_sale_timestamp": "string",
        "to_store_group_id": "string"
      }
    ],
    "name": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
